<?php
/**
 * BG overlay style view
 *
 * @package wp-viral-click
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st = $this->setting;
$bgcolor = $st->getSetting( 'background_overlay_color', '#000000' );
$opvalue = $st->getSetting( 'background_overlay_opacity', 0 );
$opacity = 1;
if ( ! empty( $opvalue )) {
	$opacity = 1 - ($opvalue/100);
}
?>

<style>
	.ipjck-widget-overlay {
		background-color: <?php echo $bgcolor; ?>;
		opacity: <?php echo $opacity; ?>;
	}
</style>
<div class="ipjck-widget-overlay" data-opacity="<?php echo $opacity; ?>"></div>